#include <stdio.h>

#include "hpdi32.h"
#include "hpdi32_dsl.h"

U32 hpdi32_dsl_io_tx_timeout_reset(void* handle, int verbose)
{
	unsigned long	get;
	U32				status;

	// Reset the Tx I/O timeout period to its default.
	status	= hpdi32_config(handle,
							HPDI32_IO_TIMEOUT,
							HPDI32_WHICH_TX,
							GSC_DEFAULT,
							&get);

	if (!verbose)
	{
	}
	else if (status == GSC_SUCCESS)
	{
		printf("hpdi32_config() failure: %ld\n", (long) status);
	}
	else
	{
		printf("Tx Timeout: %lu seconds\n", (long) get);
	}

	return(status);
}
