// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/ringbuf/win32/ringbuf.h $
// $Rev: 31440 $
// $Date: 2014-11-13 09:44:06 -0600 (Thu, 13 Nov 2014) $

#ifndef __RB_H__
#define __RB_H__



/* #defines	*****************************************************************/

#define	VERSION	"1.5"
// 1.5  Removed compiler warnings under gcc.
// 1.04	Modified to report Rx Overflow status at the end of the test.
// 1.03	Ported to Microsoft Visual Studio 2005.
//		Ported to 64-bit Windows.
//		Renamed hpdi32_api.* hpdi32.*.
// 1.02	Fixed a problem when the end Rx files was not sent to Tx process.
// 1.01	Ported to the SDK.
// 1.00	Initial release.

#define	APP_TITLE			"Ring Buffer (Ver. " VERSION ")"

#define	ARRAY_ELEMENTS(a)	(sizeof((a))/sizeof((a)[0]))
#define	RECT_HEIGHT(r)		((r).bottom - (r).top)
#define	RECT_WIDTH(r)		((r).right - (r).left)



/* prototypes	*************************************************************/

BOOL	gui_init(HINSTANCE instance);
void	gui_open(void);



#endif
