// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/visualhpdi32/win32/arrow.h $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

/*****************************************************************************
*
*	Export items for the Arrow styled controls.
*
*****************************************************************************/

#ifndef __ARROW_H__
#define	__ARROW_H__

#include "visual.h"		/*lint !e537 */



/* typedefs	*****************************************************************/

typedef enum
{
	ARROW_NONE,
	ARROW_LEFT,		// <---
	ARROW_LEFT_2,	// <===
	ARROW_RIGHT,	// --->
	ARROW_RIGHT_2,	// ===>
	ARROW_TOP,
	ARROW_TOP_2,
	ARROW_BOTTOM,
	ARROW_BOTTOM_2,
	ARROW_HORZ,		// ---
	ARROW_HORZ_2,	// ===
	ARROW_VERT,
	ARROW_VERT_2,
	ARROW_RECT_SOLID,
	ARROW_LR_2,		// Lower right corner.
	ARROW_UR_2,		// Upper right corner.
	ARROW_TR_2,		// "T" with bottom to right.
	ARROW_TRLL_2,	// Grayed "T" with black Lower Left corner.
	ARROW_TRUL_2	// Grayed "T" with black Upper Left corner.
} arrow_type_t;



/* prototypes	*************************************************************/

void	arrow_init(HWND dlg, device_t* device, int id);
void	arrow_type_set(HWND dlg, int id, arrow_type_t type);



#endif
