// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/visualhpdi32/win32/regs_fw_tlvlcr.c $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

/*****************************************************************************
*
*	Provide data describing the Tx Line Valid Length Count Register.
*
*****************************************************************************/

#include "regs.h"



/* variables	*************************************************************/

reg_def_t	reg_fw_tlvlcr	=
{
	/* name			*/	"TLVLCR",
	/* desc			*/	"Tx Line Valid Length Count Register",
	/* reg_id		*/	HPDI32_TLVLCR,
	/* read_only	*/	0x0,
	/* field		*/	NULL,
	/* fields		*/	0,
	/* init			*/	NULL,
	/* refresh		*/	NULL
};


