// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/visualhpdi32/win32/rx.h $
// $Rev: 2902 $
// $Date: 2009-08-09 17:48:49 -0500 (Sun, 09 Aug 2009) $

/*****************************************************************************
*
*	Export items for receiver configuration.
*
*****************************************************************************/

#ifndef __RX_H__
#define	__RX_H__

#include "service.h"		/*lint !e537 */



/* variables	*************************************************************/

extern	const parm_list_t	rx_io_parm_api_buffer_list;
extern	const parm_list_t	rx_io_parm_list;
extern	const parm_entry_t	rx_parm_enable;
extern	const parm_list_t	rx_parm_list;



/* prototypes	*************************************************************/

LRESULT	rx_service(				HWND			dlg,
								device_t*		device,
								service_type_t	service,
								WPARAM			wParam,
								LPARAM			lParam);

LRESULT	rx_clock_service(		HWND			dlg,
								device_t*		device,
								service_type_t	service,
								WPARAM			wParam,
								LPARAM			lParam);

LRESULT	rx_data_service(		HWND			dlg,
								device_t*		device,
								service_type_t	service,
								WPARAM			wParam,
								LPARAM			lParam);

LRESULT	rx_disable_service(		HWND			dlg,
								device_t*		device,
								service_type_t	service,
								WPARAM			wParam,
								LPARAM			lParam);

LRESULT	rx_enable_service(		HWND			dlg,
								device_t*		device,
								service_type_t	service,
								WPARAM			wParam,
								LPARAM			lParam);

LRESULT	rx_enabled_service(		HWND			dlg,
								device_t*		device,
								service_type_t	service,
								WPARAM			wParam,
								LPARAM			lParam);

LRESULT	rx_fifo_service(		HWND			dlg,
								device_t*		device,
								service_type_t	service,
								WPARAM			wParam,
								LPARAM			lParam);

LRESULT	rx_frame_valid_service(	HWND			dlg,
								device_t*		device,
								service_type_t	service,
								WPARAM			wParam,
								LPARAM			lParam);

LRESULT	rx_io_service(			HWND			dlg,
								device_t*		device,
								service_type_t	service,
								WPARAM			wParam,
								LPARAM			lParam);

LRESULT	rx_line_valid_service(	HWND			dlg,
								device_t*		device,
								service_type_t	service,
								WPARAM			wParam,
								LPARAM			lParam);

LRESULT	rx_receive_service(		HWND			dlg,
								device_t*		device,
								service_type_t	service,
								WPARAM			wParam,
								LPARAM			lParam);

LRESULT	rx_rx_ready_service(	HWND			dlg,
								device_t*		device,
								service_type_t	service,
								WPARAM			wParam,
								LPARAM			lParam);

LRESULT	rx_status_valid_service(HWND			dlg,
								device_t*		device,
								service_type_t	service,
								WPARAM			wParam,
								LPARAM			lParam);



#endif
