// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/visualhpdi32/win32/preference.h $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

/*****************************************************************************
*
*	Export items for preferences.
*
*****************************************************************************/

#ifndef __PREFERENCE_H__
#define	__PREFERENCE_H__

#include "visual.h"		/*lint !e537 */



/* #defines	*****************************************************************/

#define	PREF_API_BUFFER_SIZE__GET()		pref_u32_get(PREF_API_BUFFER_SIZE)
#define	PREF_LOCATION_RELATIVE__GET()	pref_bool_get(PREF_LOCATION_RELATIVE)
#define	PREF_OSCILLATOR_RATE__GET()		pref_u32_get(PREF_OSCILLATOR_RATE)



/* typedefs	*****************************************************************/

typedef enum
{
	PREF_API_BUFFER_SIZE,
	PREF_LOCATION_RELATIVE,
	PREF_OSCILLATOR_RATE
} pref_t;



/* prototypes	*************************************************************/

BOOL	pref_bool_get(pref_t preference);
U32		pref_u32_get(pref_t preference);



#endif
